### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
Stock Class Reference
Financial instruments

Simple stock class. More...

`#include <ql/instruments/stock.hpp>`

Inheritance diagram for Stock:
[legend]

List of all members.

## Public Member Functions

| Stock (const Handle< Quote > &quote)
bool | isExpired () const
| returns whether the instrument might have value greater than zero.

## Protected Member Functions

void | performCalculations () const

## Detailed Description

Simple stock class.

## Member Function Documentation

void performCalculations | ( |  | ) | const`[protected, virtual]`

In case a pricing engine is not used, this method must be overridden to perform the actual calculations and set any needed results. In case a pricing engine is used, the default implementation can be used.

Reimplemented from Instrument.